Is it still "reasonably" safe to install SR 500 after updating to 1.3.5?
Anyone installed it yet?